[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomBitBtn.LoadGlyphFromResource

Loads the glyph image for the specified button identifier from the internal LCL resource.

## Declaration

Source position: buttons.pp line 213

`public procedure TCustomBitBtn.LoadGlyphFromResource(`
`idButton: TButtonImage`
`);`

## Arguments

`idButton` |  | Button identifier for glyph image loaded in the method.

## Description

LoadGlyphFromResource is a method used to load the glyph for the specified button identifier from the internal LCL resource with the button images. idButton contains a value in the TButtonImage range for the button identifier. No actions are performed in the method if idButton is not in the TButtonImage range.

LoadGlyphFromResource calls the LoadGlyphFromResource routine using the resource name in BitBtnResNames for the button identifier.

## See also

LoadGlyphFromResource |  | Loads the image for the specified button glyph from the LCL glyph resource.
BitBtnResNames |  | Contains resource names for corresponding button identifiers in TBitBtn.
TButtonImage |  | Represents button identifiers defined in the lcltype.pp unit.